Name:           qof
Version:        0.5.0
Release:        0.fdr.2.2
Epoch:          0
Summary:        QOF provides a query engine library for C objects.

Group:          System Environment/Libraries
License:        GPL
URL:            http://qof.sf.net
Source0:        http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Adds libxml-2.0 as a dependent library to the pkg-config entry.
Patch0:		http://www.tiki-lounge.com/~toshio/fedora/qof-libxml-dependency.patch
# Adds libxml2 and glib to the library link so rpm can auto-detect depends.
Patch1:		http://www.tiki-lounge.com/~toshio/fedora/qof-linker-dependency.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: intltool
# Only needed to compile the example programs.  I don't want the compiled
# programs anyhow so how to get rid of that?
BuildRequires: gtk2-devel
# Patch1 changes a Makefile.am so we have to regenerate the build files.
BuildRequires: libtool

%description
QOF - The Query Object Framework is a C library that provides a query engine
to C applications.  This allows SQL-like queries to be performes on a
collection of C/C++ objects (which act like SQL tables).

QOF is an offshoot of the GnuCash engine, consisting of those pieces
unrelated to accounting.  The Query Engine allows C/C++ applications
to treat random collections of objects as if they were SQL tables,
and perform table-join type queries across them.  In addition, the
query engine can be backed by an actual database, so that instances
of local objects can act as a 'cache' to a much larger SQL database.

%package        devel
Summary:        Development tools for programs which will use the qof library.
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       libxml2-devel
Requires:	glib2-devel
Requires:	pkgconfig

%description    devel
QOF - The Query Object Framework is a C library that provides a query engine
to C applications.  This allows SQL-like queries to be performes on a
collection of C/C++ objects (which act like SQL tables).

This package contains the header files, static libraries, examples, and
documentation to develop programs that will use the qof library.  You should
install this package if you need to develop programs which will use the qof
library functions.  You'll also need to install the qof package.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
# The build architecture in the 0.5.0 release is somewhat broken.  Upstream
# cvs has moved files from src/ to qof/ to address this.  This symlink
# simulates that until a fixed version is released.
ln -sf src qof

%build
autoreconf --force --install
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Get documentation ready to ship
mv doc/html .
cd examples
make clean
rm -rf .deps .cvsignore
cd gobject
rm -rf .deps .cvsignore

%check || :
#make test
#make check


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc html examples
%{_includedir}/qof
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Tue Sep 28 2004 Toshio Kuuratomi <toshio-tiki-lounge.com> - 0:0.5.0-0.fdr.2
- Added pkgconfig and glib2-devel to the -devel package's requirements.
  (suggestion from Michael Schwendt)

* Wed Jul 14 2004 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:0.5.0-0.fdr.1
- Initial RPM release.
- All patches submitted upstream.
